/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __optest_OperatorSurfaceWave_h__
#define __optest_OperatorSurfaceWave_h__

namespace fe
{

/**************************************************************************//**
    @brief Apply Wave Effect to a Surface

	@ingroup optest
*//***************************************************************************/
class FE_DL_EXPORT SurfaceWaveOp:
	public OperatorSurfaceCommon,
	public Initialize<SurfaceWaveOp>
{
	public:
				SurfaceWaveOp(void)											{}
virtual			~SurfaceWaveOp(void)										{}

		void	initialize(void);

				//* As HandlerI
virtual void	handle(Record& a_rSignal);
};

} // namespace

#endif /* __optest_OperatorSurfaceWave_h__ */
