import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"FlatTree",
				"MapTree",
				"QuadTree",
				"SpatialTreeBase",
				"SurfaceAccessibleBase",
				"SurfaceAccessibleCatalog",
				"SurfaceAccessibleJoint",
				"SurfaceAccessibleRecord",
				"SurfaceAccessorBase",
				"SurfaceAccessorCached",
				"SurfaceAccessorCatalog",
				"SurfaceAccessorRecord",
				"SurfaceBase",
				"SurfaceMRP",
				"SurfaceCurves",
				"SurfaceCurvesAccessible",
				"SurfaceCylinder",
				"SurfaceDisk",
				"SurfaceOBJ",
				"SurfacePlane",
				"SurfaceSearchable",
				"SurfaceSphere",
				"SurfaceTriangles",
				"SurfaceTrianglesAccessible",
				"surface.pmh",
				"surfaceDL" ]

	dll = module.DLL( "fexSurfaceDL", srcList )

	deplibs = forge.corelibs + [
				"feSignalLib",
				"fexMathLib",
				"fexGeometryDLLib",
				"fexDataToolDLLib",
				"fexThreadDLLib"]

	forge.deps( ["fexSurfaceDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexSurfaceDL",						None,	None) ]

	module.Module('test')
