import sys
forge = sys.modules["forge"]

def setup(module):

	deplibs =	forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib" ]

	# HACK temp
	deplibs +=	[ "fexRayDLLib" ]

	tests = [	'xRay',
				'xRayBox' ]

	for t in tests:
		exe = module.Exe(t)
		exe.linkmap = { "gfxlibs": forge.gfxlibs }
		forge.deps([t + "Exe"], deplibs)

	forge.tests += [
		("xRay.exe",		"fexImageDL 30",			None,		None),
		("xRayBox.exe",		"30",						None,		None) ]
